/* General */

:root {
  --lavande: #6872B5;
  --menthe: #61B77C;
  --corail: #EF804C;
  --turquoise: #00B3CC;
  --lin: #F2E8DB;
  --sapin: #006056;
  --minuit: #003369;
}

.text-lavande { color: var(--minuit) !important; }
.bg-lavande { background-color: var(--minuit) !important; }

/* polices locales (WOFF2) */

@font-face {
  font-family: 'Mosk';
  src: url('../fonts/Mosk/Mosk_Normal_400.woff2') format('woff2');
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: 'Mosk';
  src: url('../fonts/Mosk/Mosk_Bold_700.woff2') format('woff2');
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: 'Ahomono';
  src: url('../fonts/Ahomono/Ahomono-Regular.woff2') format('woff2');
  font-weight: 400;
  font-style: normal;
}

body {
  font-family: 'Mosk', sans-serif;
}

h1, h2, h3, h4, h5, h6 {
  font-family: 'Ahomono', 'Mosk', sans-serif;
  word-break: break-word;
  font-weight: 700;
  line-height: 1.375;
  word-break: break-word;
}

.h3, h3 {
    font-size: 1.5rem;
}

section {
  padding: 3rem 0;
}

a {
  color: #6872B5;
}

.scroll-to-top {
  z-index: 1000;
  right: 1rem;
  bottom: 1rem;
  display: none;
}

.scroll-to-top a {
  width: 3.5rem;
  height: 3.5rem;
  background-color: rgba(33, 37, 41, 0.5);
  line-height: 3.5rem;
}


.lavande-degrade {
  background: linear-gradient(180deg, rgba(104,115,181,0) 0%, rgba(104,115,181,0.15) 100%);
}

.turquoise-degrade {
  background: linear-gradient(180deg, rgba(0, 179, 205, 0.15) 0%, rgba(0, 179, 205, 0) 100%);
}

.menthe-degrade {
  background: linear-gradient(180deg,#61B77C 0,#ffffff47 100%);
}

.corail-degrade {
  background: linear-gradient(180deg,#EF804C 0,#ffffff47 100%);
}

.lin-degrade {
  background: linear-gradient(180deg,#F2E8DB 0,#ffffff47 100%);
}


/* Nav */

#mainNav {
  padding-top: 1rem;
  padding-bottom: 1rem;
}

#mainNav .navbar-nav {
  margin-top: 1rem;
  letter-spacing: 0.0625rem;
}

.navbar-brand img {
  max-width: 155px;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
}

.navbar-shrink img {
  max-width: 120px;
}

@media (min-width: 992px) {
  #mainNav {
    padding-top: 0.75rem;
    padding-bottom: 0.75rem;
    -webkit-transition: padding-top 0.3s, padding-bottom 0.3s;
    transition: padding-top 0.3s, padding-bottom 0.3s;
  }

  #mainNav .navbar-nav {
    margin-top: 0;
  }

  #mainNav .navbar-nav>li.nav-item>a.nav-link.active,
  #mainNav .navbar-nav>li.nav-item>a.nav-link.active:active,
  #mainNav .navbar-nav>li.nav-item>a.nav-link.active:focus,
  #mainNav .navbar-nav>li.nav-item>a.nav-link.active:hover {
    color: #fff;
    background: #5190F5;
  }

  #mainNav.navbar-shrink {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
  }
}


/* Masterhead */

header.masthead {
  padding-top: 8rem;
  padding-bottom: 2rem;
}

header.masthead h1 {
  font-size: 2.5rem;
  line-height: 2.75rem;
}

header.masthead p.sous-titre {
  font-size: 1.125rem;
  line-height: 1.5rem;
}

@media (min-width: 768px) {
  header.masthead {
    padding-top: 7rem;
  }
}


/* Teaser */

.bulle-gauche, .bulle-droite {
  border-radius: 50px;
  border-radius: 50px;
}

.arrow-down-gauche {
  width: 0;
  height: 0;
  border-left: 20px solid transparent;
  border-right: 20px solid transparent;
  border-top: 20px solid white;
  margin-left: 53%;
  margin-bottom: 3rem;
}

.arrow-down-droite {
  width: 0;
  height: 0;
  border-left: 20px solid transparent;
  border-right: 20px solid transparent;
  border-top: 20px solid white;
  margin-left: 35%;
}

@media (min-width: 992px) {
  .arrow-down-gauche {
    margin-left: 67%;
    margin-bottom: 1rem;
  }

  .arrow-down-droite {
    margin-left: 25%;
  }
}


/* Deroulé */

@media (min-width: 992px) {
  .deroule--etapes {
    min-height: 130px;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  .deroule--etapes {
    min-height: 100px;
  }
}

@media (min-width: 576px) and (max-width: 767px) {
  .deroule--etapes {
    min-height: 145px;
  }
}


/* Form */

.floating-label-form-group {
  position: relative;
}

.floating-label-form-group input,
.floating-label-form-group textarea {
  position: relative;
  z-index: 1;
  background: none;
}

.floating-label-form-group label {
  font-size: 0.85em;
  line-height: 1.75em;
  position: relative;
  z-index: 0;
  top: 2em;
  display: block;
  margin: 0;
  -webkit-transition: top 0.3s ease, opacity 0.3s ease;
  transition: top 0.3s ease, opacity 0.3s ease;
  vertical-align: middle;
  vertical-align: baseline;
  opacity: 0;
}

.floating-label-form-group:not(:first-child) {
  padding-left: 14px;
  border-left: 1px solid #e9ecef;
}

.floating-label-form-group-with-value label {
  top: 0;
  opacity: 1;
}

.floating-label-form-group-with-focus label {
  color: #5190F5;
}

.form-control {
  border-radius: 0.5rem;
  padding: 1.5rem 1.25rem;
}

input[type=checkbox] {
  width: 1rem;
  height: 1rem;
  vertical-align: middle;
}

@media (min-width: 992px) {
  form {
    padding-left: 3rem;
    padding-right: 3rem;
  }
}

/* Collectivités */

.collectivités-etapes {
  border: 2px solid #00B3CC;
}

@media (min-width: 768px) {
  .collectivités-etapes {
    min-height: 190px;
  }
}

/* Ateliers Ecoles */

.ateliers-ecoles-etapes {
  border: 2px solid #61B77C;
}

@media (min-width: 768px) {
  .ateliers-ecoles-etapes {
    min-height: 190px;
  }
}

/* entreprises */

.options-pro-etapes {
  border: 2px solid #EF804C;
}

.entreprises-box-offre {
  border: 2px solid #EF804C;
}

@media (min-width: 768px) {
  .entreprises-box-offre {
    min-height: 190px;
  }
}

/* Parcours */

.section-parcours-red {
  border-left: 3px solid #e83221;
}

.section-parcours-green {
  border-left: 3px solid #27981f;
}

.section-parcours-orange {
  border-left: 3px solid #ffbc00;
}

.section-parcours-blue {
  border-left: 3px solid #5190F5;
}


/* bootstrap custom */

.bg-lavande {
  background-color: #6872B5 !important;
}

.bg-menthe {
  background-color: #61B77C !important;
}

.bg-corail {
  background-color: #EF804C !important;
}

.bg-turquoise {
  background-color: #00B3CC !important;
}

.bg-primary {
  background-color: #5190F5 !important;
}

.bg-lin { 
   background-color: #F2E8DB !important;
}

.text-lavande {
  color: #6872B5 !important;
}

.text-menthe {
  color: #61B77C !important;
}

.text-corail {
  color: #EF804C !important;
}

.text-turquoise {
  color: #00B3CC !important;
}

.text-minuit {
  color: #003369 !important;
}

.rounded {
  border-radius: .5rem !important;
}


/* Boutons primaires */


.btn-lavande {
  background-color: #6872B5;
  border-color: #6872B5;
}

.btn-menthe {
  background-color: #61B77C;
  border-color: #61B77C;
  width:fit-content;
}

.btn-corail {
  background-color: #EF804C;
  border-color: #EF804C;
}

.btn-turquoise {
  background-color: #00B3CC;
  border-color: #00B3CC;
}

.btn-minuit {
  background-color: #003369;
  border-color: #003369;
}

.btn-sapin {
  background-color: #006056;
  border-color: #006056;
}

/* Boutons secondaires*/


.btn-lavande-secondary {
  background-color: #ffffff;
  color: var(--lavande)!important;
  border-color: var(--lavande);
}

.btn-menthe-secondary {
  background-color: #ffffff;
  color: var(--menthe) !important;
  border-color: var(--menthe);
}

.btn-corail-secondary {
  background-color: #ffffff;
  color: var(--corail)!important;
  border-color: var(--corail);
}

.btn-turquoise-secondary {
  background-color: #ffffff;
  color: var(--turquoise)!important;
  border-color:  var(--turquoise);
}

.btn-minuit-secondary {
  background-color: #ffffff;
  color: var(--minuit)!important;
  border-color: var(--minuit);
}

.btn-sapin-secondary {
  background-color: #ffffff;
  color: var(--sapin)!important;
  border-color: var(--sapin);
}


/* Boutons hover primaire */

.btn-sapin:hover {
  background-color: rgba(0, 99, 87, 0.7);
}

.btn-minuit:hover {
  background-color: rgba(4, 52, 105, 0.7);
}

.btn-turquoise:hover {
  background-color: rgba( 3, 186, 206, 0.7);
}

.btn-corail:hover {
  background-color: rgba( 239, 128, 76, 0.7);
}

.btn-menthe:hover {
  background-color: rgba(97, 183, 124, 0.7);
}

.btn-lavande:hover {
  background-color: rgba(104, 114, 181, 0.7);
}

/* Boutons hover secondaires */

.btn-sapin-secondary:hover {
  background-color: rgba(0, 99, 87, 0.2);
}

.btn-minuit-secondary:hover {
  background-color: rgba(4, 52, 105, 0.2);
}

.btn-turquoise-secondary:hover {
  background-color: rgba( 3, 186, 206, 0.2);
}

.btn-corail-secondary:hover {
  background-color: rgba( 239, 128, 76, 0.2);
}

.btn-menthe-secondary:hover {
  background-color: rgba(97, 183, 124, 0.2);
}


.btn-lavande-secondary:hover {
  background-color: rgba(104, 114, 181, 0.2);
}





